aboutsummaryrefslogtreecommitdiff
path: root/reproduce/software
diff options
context:
space:
mode:
authorBoud Roukema <boud@cosmo.torun.pl>2021-05-18 14:53:13 +0200
committerMohammad Akhlaghi <mohammad@akhlaghi.org>2021-06-03 02:02:49 +0100
commitef9fe47c5d5ecc195a1e4bf059dab3b709852ee7 (patch)
tree7cd60c3abadbb241fafdea7fc4e8e1a9e1ee0d4c /reproduce/software
parent5a6e6e667b6263424135eec34e9d49da51449936 (diff)
Configuration: improved warning when TeX Live couldn't be installed
Once a year, the texlive update system becomes incompatible with the version from the previous year. Since a texlive install failure is considered non-fatal by 'high-level.mk', so until now, the user could miss the printed message and mistakenly believe that the configure is valid. This commit explicitly adds a 10-second delay that should be enough for a user who does the 'configure --existing-conf' step alone to notice that there is a TeX Live problem. It also adds the explicit instruction of how to allow an update from an earlier year's texlive installer to the warning message (by deleting '.build/software/tarballs/install-tl-unx.tar.gz'). I had to rediscover this a few times for old Maneage installs. Also, a few lines in 'reproduce/software/shell/configure.sh' were indented with a TAB (that is not recommended because TAB is displayed with different widths on different browsers). So while doing this commit, those TABs were also converted to a space.
Diffstat (limited to 'reproduce/software')
-rwxr-xr-xreproduce/software/shell/configure.sh20
1 files changed, 12 insertions, 8 deletions
diff --git a/reproduce/software/shell/configure.sh b/reproduce/software/shell/configure.sh
index e15a8e9..12690f7 100755
--- a/reproduce/software/shell/configure.sh
+++ b/reproduce/software/shell/configure.sh
@@ -158,7 +158,7 @@ check_permission ()
return 1
else
# Setting permission SUCCESSFUL
- return 0
+ return 0
fi
}
@@ -938,10 +938,10 @@ EOF
fi
fi
- # If everything is still fine so far, see if we're able to
- # manipulate file permissions in the directory's filesystem and if
- # so, see if there is atleast 5GB free space.
- if ! [ x"$bdir" = x ]; then
+ # If everything is still fine so far, see if we're able to
+ # manipulate file permissions in the directory's filesystem and if
+ # so, see if there is atleast 5GB free space.
+ if ! [ x"$bdir" = x ]; then
if ! $(check_permission "$bdir"); then
# Unable to handle permissions well
bdir=
@@ -1610,17 +1610,21 @@ is not used at all during the analysis.
Therefore, if you don't need the final PDF, and just want to do the
analysis, you can safely ignore this warning and continue.
-If you later have internet access and would like to add TeX live to your
-project, please delete the respective files, then re-run configure as shown
-below.
+If you later have internet access and would like to add TeX Live to your
+project, then please delete the following two files:
rm .local/version-info/tex/texlive-ready-tlmgr
+ rm .build/software/tarballs/install-tl-unx.tar.gz
+
+and re-run configure:
+
./project configure -e
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
EOF
+ sleep 10 # increase the chance that an interactive user reads this message
fi